What browsers are compatible with myInsight?

Published 12/01/2017 02:01 PM   |    Updated 12/17/2020 07:56 AM
All current browsers are compatible. If you are using Internet Explorer®, we suggest using IE version 10 or newer.

Is this answer helpful?